Notifications
Clear all

Error package or namespace load failed for ggplot2 - R  

  RSS

Sathish Kumar
(@sathish)
Member Moderator
Joined: 4 months ago
Posts: 1203
24/03/2021 9:25 am  

please help me with this error.

I'm getting the below error when loading plotly package.

> library(plotly)

Loading required package: ggplot2 Error: package or namespace load failed for ‘ggplot2’ in get(method, envir = home): lazy-load database 'C:/Users/Cherukuri_Sindhu/Documents/R/win-library/3.6/ggplot2/R/ggplot2.rdb' is corrupt Error: package ‘ggplot2’ could not be loaded In addition: Warning messages: 1: In .registerS3method(fin[i, 1], fin[i, 2], fin[i, 3], fin[i, 4], : restarting interrupted promise evaluation 2: In get(method, envir = home) : restarting interrupted promise evaluation 3: In get(method, envir = home) : internal error -3 in R_decompress1


Quote
Ganesh A
(@ganesh)
Noble Member
Joined: 4 months ago
Posts: 1170
24/03/2021 9:26 am  

Try restarting the session. the same happened in my R session.

I'm not sure of the problem, but the restarting session will not throw an error.


ReplyQuote
Share: